unit Un_Client;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ScktComp, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    ListBox1: TListBox;
    Edit1: TEdit;
    Label2: TLabel;
    Edit2: TEdit;
    Label3: TLabel;
    Edit3: TEdit;
    Label4: TLabel;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    ClientSocket1: TClientSocket;
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure ClientSocket1Read(Sender: TObject; Socket: TCustomWinSocket);
    procedure Edit2Exit(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button2Click(Sender: TObject);
// ""
begin
  if not ClientSocket1.Active then
           ClientSocket1.Active := True;
end;

procedure TForm1.Button3Click(Sender: TObject);
// ""
begin
  ClientSocket1.Active := False;
  ClientSocket1.Close;
  Close;   
end;

procedure TForm1.Button1Click(Sender: TObject);
// ""
begin
  if  length(trim(Edit2.Text))>0 then
    if  length(trim(Edit3.Text))>0 then
       ClientSocket1.Socket.SendText(Edit2.Text+ '|'+Edit3.Text+ '|'+Edit1.Text)
    else
       ClientSocket1.Socket.SendText(Edit2.Text+'||'+Edit1.Text)
  else ShowMessage('  ');
end;

procedure TForm1.ClientSocket1Read(Sender: TObject;
  Socket: TCustomWinSocket);
var
  str: string;
begin
  str:=Socket.ReceiveText;
  ListBox1.Items.Add(str);
end;

procedure TForm1.Edit2Exit(Sender: TObject);
begin
  Form1.Caption := ' "'+Edit2.Text+'"';
end;

end.
